<template>
    <div class="evento">
      <div class="row">
        <h2>Eventos</h2>
        <button
          id="submit"
          type="button"
          class="btn btn-success"
          data-toggle="modal"
          data-target="#exampleModal"
        >Cadastrar evento</button>
      </div>

     
    
      <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Novo evento</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form @submit.prevent="cadastrar_evento" >
          <div class="form-group">
            <label for="recipient-name" class="col-form-label">Nome:</label>
            <input type="text" class="form-control" id="recipient-name" v-model="evento.nome">
          </div>
          <div class="form-group">
          <label for="recipient-name" class="col-form-label">Ano:</label>
            <input type="text" class="form-control" id="recipient-name" v-model="evento.ano">
          </div>
         
          <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
        <button type="submit" class="btn btn-primary">Enviar</button>
      </div>    
        </form>
      </div>
    </div>
  </div>
</div>

<div class="table-responsive">
    <table class="table table-sm table-striped">
  <thead>
    <tr>
      <th></th>
      <th scope="col">Evento</th>
      <th scope="col">ano</th>  

      <th scope="col">Ações</th>
    </tr>
  </thead>
  <tbody>
    <tr v-for="evento in eventos" :key="evento.id">
      <td><a class="btn"
        data-toggle="modal"
        data-target="#exampleModal"><i class="fas fa-search"></i></a></td>
      <td>{{evento.nome}}</td>
      <td>{{evento.ano}}</td>      
      <td>
        <button @click="editar(evento)" data-toggle="modal" data-target="#exampleModal" type="button" class="btn btn-primary"><i class="fas fa-edit"></i></button>   
        <button @click="remover(evento)" type="button" class="btn btn-danger"><i class="fas fa-trash"></i></button> 
      </td>
    </tr>
  </tbody>
</table>
</div>  



    </div>
</template>
<script>
import Evento from "../services/eventos"
export default {
    name: 'Evento', 
    data() {
      return {
        evento: {
          id: '',
          nome: '',
          ano: '',
        },
        eventos: [],
      }
    },

    mounted() {
      this.listar_eventos()
    },

    methods: {

      listar_eventos(){
      Evento.listar().then(resp=> {
          this.eventos = resp.data
        }
      )
    },
      
    

    cadastrar_evento(){
      console.log("cheguie")
      if(!this.evento.id){
        Evento.salvar(this.evento).then(resposta => {
              this.evento = {}
              alert('Salvo com sucesso!!')
              this.listar_eventos()
        })
      }else{
        Evento.atualizar(this.evento).then(resposta => {
          this.evento = {}
          alert('evento Atualizada!')
          this.listar_eventos()
        })
      }
          
    },

    editar(evento){
        this.evento = evento
    },

    remover(evento){
        if(confirm('Deseja excluir o evento?')){
          Evento.apagar(evento).then(resposta => {
            this.evento = {}
            this.listar_eventos()  
          })
        }
    }
},

    
}
</script>
<style lang="">
    
</style>